## poezio 0.12.1

=== requirements.txt ===
cython==0.27.3
-e git+git://git.louiz.org/slixmpp#egg=slixmpp
aiodns==1.1.1
pycares==2.3.0
pyasn1==0.4.2
pyasn1-modules==0.2.1

## poezio 0.11+git20180808

=== debian/changelog ===
poezio (0.11+git20180808-1) unstable; urgency=medium

  * New development snapshot

 -- W. Martin Borgert <debacle@debian.org>  Thu, 09 Aug 2018 20:51:01 +0000

poezio (0.11+git20180805-1) unstable; urgency=medium

  * New development snapshot
  * Add missing upstream names and years to debian/copyright
    (Closes: #905476)

 -- W. Martin Borgert <debacle@debian.org>  Mon, 06 Aug 2018 18:17:00 +0000

poezio (0.11+git20180331-1) unstable; urgency=medium

  * upload: now really (Closes: #592159)
  * remove obsolete patches
  * bump dh compat level and standards version

 -- W. Martin Borgert <debacle@debian.org>  Wed, 11 Apr 2018 23:34:07 +0000

poezio (0.10-2) unstable; urgency=medium

  * debian/control: explicitly depend on Python libraries that can be missed
    by dh_python3.
  * debian/patches:
     - use-packaged-gnupg.patch: make the gpg plugin import the gnupg library
       from the python3-gnupg package.
     - fix-gpg-plugin.patch: fix incorrect function calls in the gpg plugin.
  * debian/rules: remove the bundled gnupg library.
  * debian/copyright: add license of gnupg.py.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Tue, 29 Nov 2016 21:11:30 +0100

poezio (0.10-1) unstable; urgency=medium

  * Initial release (Closes: #592159)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Mon, 17 Oct 2016 13:55:06 +0200

=== debian/control ===
Source: poezio
Section: net
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
    W. Martin Borgert <debacle@debian.org>
Build-Depends:
    debhelper (>= 11),
    dh-python,
    pkg-config,
    python3-all,
    python3-all-dev,
    python3-cffi,
    python3-mpd,
    python3-potr,
    python3-pyinotify,
    python3-pytest,
    python3-setuptools,
    python3-slixmpp,
    python3-sphinx,
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: http://poez.io/
Vcs-Git: https://salsa.debian.org/xmpp-team/poezio.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/poezio

Package: poezio
Architecture: all
Depends:
    ${misc:Depends},
    ${python3:Depends},
    ${shlibs:Depends},
    python3-aiodns,
    python3-gnupg,
    python3-poezio-poopt (>= ${source:Version}),
    python3-poezio-poopt (<< ${source:Upstream-Version}.1~),
    python3-slixmpp (>= 1.3.0+git20180331)
Description: Console-based XMPP client
 Poezio is a free console XMPP client (the protocol on which the Jabber IM
 network is built).
 .
 Its goal is to let you connect very easily (no account creation needed) to the
 network and join various chatrooms, immediately. It tries to look like the most
 famous IRC clients (weechat, irssi, etc). Many commands are identical and
 you won't be lost if you already know these clients. Configuration can be made
 in a configuration file or directly from the client.

Package: python3-poezio-poopt
Architecture: any
Depends:
    ${misc:Depends},
    ${python3:Depends},
    ${shlibs:Depends},
Description: Console-based XMPP client (binary module)
 Poezio is a free console XMPP client (the protocol on which the Jabber IM
 network is built).
 .
 This package contains a binary extension module used by Poezio.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/pkg-info.mk
PYTHON3_VERSIONS = $(shell py3versions -r)
py3sdo = set -e; $(foreach py, $(PYTHON3_VERSIONS), $(py) $(1);)

%:
	dh $@ --with python3,sphinxdoc

override_dh_auto_test:
	PYTHONPATH=. pytest-3 test/

override_dh_auto_clean:
	$(call py3sdo, setup.py clean)

override_dh_auto_build:
	$(call py3sdo, setup.py build)
	# Build the documentation with Sphinx for Python 3 and access to a
	# binary extension module built under build/lib.*.
	PYTHONPATH="$$(find build -name 'lib.*')" http_proxy='127.0.0.1:9' \
		   /usr/share/sphinx/scripts/python3/sphinx-build \
		   doc/source build/html

override_dh_auto_install:
	$(call py3sdo, setup.py install --root=$(CURDIR)/debian/$(DEB_SOURCE) --install-layout=deb)
	# Remove unwanted files
	# Directory /usr/share/poezio only contains:
	# * a license file (redundant with debian/copyright);
	# * a changelog (already installed in /usr/share/doc/poezio);
	# * a README file (already installed in /usr/share/doc/poezio).
	rm -rf debian/poezio/usr/share/poezio
	# We are building and installing the HTML documentation, which
	# already includes the source RST documentation
	rm -rf debian/poezio/usr/share/doc/poezio/source
	# We do not need gnupg.py, which is provided in package python3-gnupg
	rm -f debian/poezio/usr/lib/python3/dist-packages/poezio_plugins/gpg/gnupg.py
	# Move binary libraries to the binary package
	for library in debian/poezio/usr/lib/python*/dist-packages/poezio/*.so ; \
	do \
	    short_path="$${library#debian/poezio/}" ; \
	    short_dir="$${short_path%/*}" ; \
	    if [ ! -e "debian/python3-poezio-poopt/$$short_dir" ] ; \
	    then \
	        mkdir -p "debian/python3-poezio-poopt/$$short_dir" ; \
	    fi ; \
	    mv "$$library" "debian/python3-poezio-poopt/$$short_dir" ; \
	done

## poezio 0.12.1

=== debian/changelog ===
poezio (0.12.1-3build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:22:35 +0100

poezio (0.12.1-3build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:57:42 +0000

poezio (0.12.1-3) unstable; urgency=medium

  * add dependencies on python3-cffi and python3-pkg-resources
    (Closes: #917791, #921231)

 -- W. Martin Borgert <debacle@debian.org>  Sun, 03 Feb 2019 15:24:08 +0000

poezio (0.12.1-2) unstable; urgency=medium

  * use pybuild to drop tight dependency on Python 3.6 (Closes: #917628)

 -- W. Martin Borgert <debacle@debian.org>  Sat, 29 Dec 2018 23:07:38 +0000

poezio (0.12.1-1) unstable; urgency=medium

  * New upstream version

 -- W. Martin Borgert <debacle@debian.org>  Thu, 13 Sep 2018 22:05:36 +0000

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,9 @@
     ${python3:Depends},
     ${shlibs:Depends},
     python3-aiodns,
+    python3-cffi,
     python3-gnupg,
+    python3-pkg-resources,
     python3-poezio-poopt (>= ${source:Version}),
     python3-poezio-poopt (<< ${source:Upstream-Version}.1~),
     python3-slixmpp (>= 1.3.0+git20180331)
@@ -47,6 +49,7 @@
 
 Package: python3-poezio-poopt
 Architecture: any
+Multi-Arch: same
 Depends:
     ${misc:Depends},
     ${python3:Depends},

## poezio 0.13.1

=== requirements.txt ===
cython>=0.27.3
-e git+https://lab.louiz.org/poezio/slixmpp.git/#egg=slixmpp
aiodns==1.1.1
pycares==2.3.0
pyasn1==0.4.2
pyasn1-modules==0.2.1

=== debian/changelog ===
poezio (0.13.1-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Wed, 10 Jun 2020 18:30:42 +0000

poezio (0.13-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Mon, 25 May 2020 22:23:08 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
-    W. Martin Borgert <debacle@debian.org>
+    Martin <debacle@debian.org>
 Build-Depends:
-    debhelper (>= 11),
+    debhelper-compat (= 11),
     dh-python,
     pkg-config,
     python3-all,
@@ -30,6 +30,7 @@
     ${misc:Depends},
     ${python3:Depends},
     ${shlibs:Depends},
+    ${sphinxdoc:Depends},
     python3-aiodns,
     python3-cffi,
     python3-gnupg,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 py3sdo = set -e; $(foreach py, $(PYTHON3_VERSIONS), $(py) $(1);)
 
 %:
-	dh $@ --with python3,sphinxdoc
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
 	PYTHONPATH=. pytest-3 test/
@@ -51,3 +51,6 @@
 	    fi ; \
 	    mv "$$library" "debian/python3-poezio-poopt/$$short_dir" ; \
 	done
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

http://poez.io/en/download .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian

## poezio 0.14

=== requirements.txt ===
--- 
+++ 
@@ -4,3 +4,4 @@
 pycares==2.3.0
 pyasn1==0.4.2
 pyasn1-modules==0.2.1
+typing_extensions

=== debian/changelog ===
poezio (0.14-2) unstable; urgency=medium

  [Stefan Kropp]
  * Fixed d/watch file

 -- Martin <debacle@debian.org>  Sun, 26 Feb 2023 12:09:18 +0000

poezio (0.14-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Tue, 12 Apr 2022 08:19:35 +0000

poezio (0.13.2-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Sun, 06 Mar 2022 10:17:00 +0000

poezio (0.13.1-2) unstable; urgency=medium

  * Add patch to fix sphinx undefined URL_ROOT (Closes: #997446)
  * Set Section of python3-poezio-poopt to "python"
  * Bump dh compat level and standards version, no changes
  * Use HTTPS for homepage

 -- Martin <debacle@debian.org>  Sun, 24 Oct 2021 21:55:30 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
     Martin <debacle@debian.org>
 Build-Depends:
-    debhelper-compat (= 11),
+    debhelper-compat (= 13),
     dh-python,
     pkg-config,
     python3-all,
@@ -18,9 +18,9 @@
     python3-setuptools,
     python3-slixmpp,
     python3-sphinx,
-Standards-Version: 4.1.3
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: http://poez.io/
+Homepage: https://poez.io/
 Vcs-Git: https://salsa.debian.org/xmpp-team/poezio.git
 Vcs-Browser: https://salsa.debian.org/xmpp-team/poezio
 
@@ -50,6 +50,7 @@
 
 Package: python3-poezio-poopt
 Architecture: any
+Section: python
 Multi-Arch: same
 Depends:
     ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
-	PYTHONPATH=. pytest-3 test/
+	cp --no-clobber $$(find ./build/ -name '*.so') poezio/
+	LC_ALL=C.UTF-8 PYTHONPATH=. pytest-3 test/
 
 override_dh_auto_clean:
 	$(call py3sdo, setup.py clean)
@@ -23,7 +24,8 @@
 	$(call py3sdo, setup.py build)
 	# Build the documentation with Sphinx for Python 3 and access to a
 	# binary extension module built under build/lib.*.
-	PYTHONPATH="$$(find build -name 'lib.*')" http_proxy='127.0.0.1:9' \
+	cp --no-clobber $$(find ./build/ -name '*.so') poezio/
+	PYTHONPATH=. http_proxy='127.0.0.1:9' \
 		   /usr/share/sphinx/scripts/python3/sphinx-build \
 		   doc/source build/html

=== debian/watch ===
version=4
opts="mode=git" \
https://lab.louiz.org/poezio/poezio.git \
refs/tags/v@ANY_VERSION@ \
debian

## poezio 0.15.0

=== debian/changelog ===
poezio (0.15.0-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Thu, 27 Mar 2025 19:26:11 +0000

poezio (0.14-5) unstable; urgency=medium

  * add upstream patch to fix intersphinx_mapping (Closes: #1090114)

 -- Martin <debacle@debian.org>  Wed, 25 Dec 2024 11:40:53 +0000

poezio (0.14-4) unstable; urgency=medium

  * add upstream patch for Python 3.13 (Closes: #1084666)
  * add upstream patch fixing SyntaxWarning (Closes: #1085782)
  * add Testsuite: autopkgtest-pkg-pybuild

 -- Martin <debacle@debian.org>  Fri, 22 Nov 2024 15:35:34 +0000

poezio (0.14-3) unstable; urgency=medium

  * remove all __pycache__ directories in clean (Closes: #1047790)
  * use Debian packaged RTD theme, not embedded copy (Closes: #1042667)

 -- Martin <debacle@debian.org>  Sat, 18 Nov 2023 14:04:54 +0000

## poezio 0.15.1

=== Makefile ===
TMPDIR=/tmp/

PYTHON ?= python3

all: Makefile
	$(PYTHON) setup.py build_ext --inplace

clean:
	find ./ -name \*.pyc -delete
	find ./ -name \*.pyo -delete
	find ./ -name \*~ -delete
	find ./ -type d -name __pycache__ -delete
	find ./ -name "#*#" -delete
	rm -rf doc/build/
	rm -rf poezio.egg-info
	rm -rf dist
	rm -rf build
	rm -f poezio/*.so

install: all
	$(PYTHON) setup.py install --root=$(DESTDIR) --optimize=1

doc:
	make -C doc/ html

test:
	py.test test/

release:
	rm -fr $(TMPDIR)/poezio-$(version)
	git clone $(PWD) $(TMPDIR)/poezio-$(version)
	cd $(TMPDIR)/poezio-$(version) && \
	 git checkout v$(version) && \
	 make doc && \
	 cd .. && \
	 tar cJf poezio-$(version).tar.xz poezio-$(version) && \
	 tar czf poezio-$(version).tar.gz poezio-$(version)

.PHONY : doc test

=== requirements.txt ===
cython>=0.27.3
-e git+https://codeberg.org/poezio/slixmpp.git/#egg=slixmpp
aiodns==1.1.1
pycares==2.3.0
pyasn1==0.4.2
pyasn1-modules==0.2.1
typing_extensions
setuptools

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PoezioPlugindevelopment.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PoezioPlugindevelopment.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PoezioPlugindevelopment"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PoezioPlugindevelopment"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
poezio (0.15.1-2) unstable; urgency=medium

  * Team Upload
  * Project was moved to Python Team
    * Update Vcs-* tags
    * Update Maitainer tag
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.2
  * Use dh-sequence-python3
  * Replace obsolete pkg-config with pkgconf

 -- Alexandre Detiste <tchet@debian.org>  Sun, 21 Sep 2025 13:00:15 +0200

poezio (0.15.1-1) unstable; urgency=medium

  * New upstream version, no code changes, but only:
    - fix of pyproject.toml, i.e. Debian patch is dropped
    - update versions in doap.xml

 -- Martin <debacle@debian.org>  Sun, 11 May 2025 15:50:46 +0000

=== debian/control ===
Source: poezio
Section: net
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Tanguy Ortolo <tanguy+debian@ortolo.eu>,
 Martin <debacle@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pkgconf,
 python3-aiohttp,
 python3-all,
 python3-all-dev,
 python3-cffi,
 python3-mpd,
 python3-potr,
 python3-pyinotify,
 python3-pytest,
 python3-setuptools,
 python3-slixmpp (>= 1.10~),
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.7.2
Homepage: https://poez.io/
Vcs-Git: https://salsa.debian.org/python-team/packages/poezio.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/poezio
Testsuite: autopkgtest-pkg-pybuild

Package: poezio
Architecture: all
Depends:
 python3-aiodns,
 python3-cffi,
 python3-gnupg,
 python3-pkg-resources,
 python3-poezio-poopt (<< ${source:Upstream-Version}.1~),
 python3-poezio-poopt (>= ${source:Version}),
 python3-slixmpp (>= 1.10~),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 ${sphinxdoc:Depends},
Description: Console-based XMPP client
 Poezio is a free console XMPP client (the protocol on which the Jabber IM
 network is built).
 .
 Its goal is to let you connect very easily (no account creation needed) to the
 network and join various chatrooms, immediately. It tries to look like the most
 famous IRC clients (weechat, irssi, etc). Many commands are identical and
 you won't be lost if you already know these clients. Configuration can be made
 in a configuration file or directly from the client.

Package: python3-poezio-poopt
Architecture: any
Section: python
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Console-based XMPP client (binary module)
 Poezio is a free console XMPP client (the protocol on which the Jabber IM
 network is built).
 .
 This package contains a binary extension module used by Poezio.

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,10 @@
 py3sdo = set -e; $(foreach py, $(PYTHON3_VERSIONS), $(py) $(1);)
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
-	cp --no-clobber $$(find ./build/ -name '*.so') poezio/
+	-cp --no-clobber $$(find ./build/ -name '*.so') poezio/
 	LC_ALL=C.UTF-8 PYTHONPATH=. pytest-3 test/
 
 override_dh_auto_clean:
@@ -25,6 +25,8 @@
 	# Build the documentation with Sphinx for Python 3 and access to a
 	# binary extension module built under build/lib.*.
 	cp --no-clobber $$(find ./build/ -name '*.so') poezio/
+	rm -rf doc/source/theme/sphinx_rtd_theme
+	ln -s /usr/share/sphinx_rtd_theme/ doc/source/theme/
 	PYTHONPATH=. http_proxy='127.0.0.1:9' \
 		   /usr/share/sphinx/scripts/python3/sphinx-build \
 		   doc/source build/html
@@ -56,3 +58,6 @@
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
+
+execute_before_dh_clean:
+	rm -rf $$(find -type d -name __pycache__)

=== debian/watch ===
version=4
https://codeberg.org/poezio/@PACKAGE@/tags archive/@ANY_VERSION@\.tar\.gz
